Summary: A program for synchronizing files over a network.
Name: rsync
Version: 2.6.9
Release: 1
Group: Applications/Internet
URL: http://rsync.samba.org
Source0: ftp://rsync.samba.org/pub/rsync/%{name}-%{version}.tar.gz
Patch0: rsync-2.6.9-acl-xattr-delete-bug.patch
Patch1: rsync-2.6.9-hlink-segv.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
License: GPLv2+

Requires: popt

%description
Rsync uses a reliable algorithm to bring remote and host files into
sync very quickly. Rsync is fast because it just sends the differences
in the files over the network instead of sending the complete
files. Rsync is often used as a very powerful mirroring process or
just as a more capable replacement for the rcp command. A technical
report which describes the rsync algorithm is included in this
package.


%prep
export PATH=/opt/freeware/bin:$PATH
%setup -q

#Needed for compatibility with previous patched rsync versions
patch -p1 < patches/acls.diff
patch -p1 < patches/xattrs.diff

%patch0 -p1 -b .acl_xattrs_bug
%patch1 -p1 -b .hlink_segv


%build
./configure \
    --prefix=%{_prefix} \
    --mandir=%{_prefix}/man \
    --enable-largefile
make %{?_smp_mflags}


%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

/usr/bin/strip ${RPM_BUILD_ROOT}%{_bindir}/* || :

(
  cd $RPM_BUILD_ROOT
  mkdir -p usr/bin
  cd usr/bin
  ln -sf ../..%{_bindir}/* .
)


%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,system)
%doc COPYING README tech_report.tex
%{_bindir}/*
%{_mandir}/man?/*
/usr/bin/*


%changelog
* Sun Mar 23 2008 Michael Perzl <michael@perzl.org> - 2.6.9-1
- first version for AIX V5.1 and higher
